View Issue Details

IDProjectCategoryView StatusLast Update
0002697Kali Linux[All Projects] Kali Package Bugpublic2016-06-24 12:45
ReporterOwas1933 Assigned Tosbrun  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version2016.1 
Summary0002697: dradis-framework 3.0.0 only 2 upload plugins/configuration page error
DescriptionThe dradis framework only has 2 upload plugins available:
-burp
-nessus

Going to the configuration page (https://127.0.0.1:3004/configurations_path) ends up in an error:

No route matches [GET] "/configurations_path"

Rails.root: /usr/lib/dradis

See attached txt for full error report.
Steps To Reproduce-download kali-vm amd64 package
-apt-get update && apt-get dist-upgrade
-start dradis

Activities

Owas1933

2015-09-29 21:05

reporter  

config error.txt (6,020 bytes)
Routing Error
No route matches [GET] "/configurations_path"

Rails.root: /usr/lib/dradis
Application Trace | Framework Trace | Full Trace

Routes

Routes match in priority from top to bottom
Helper 	HTTP Verb 	Path 	Controller#Action
Path / Url 			
frontend_path 		/ 	Dradis::Frontend::Engine
dradis_html_export_path 		/export/html 	Dradis::Plugins::HtmlExport::Engine
Routes for Dradis::Frontend::Engine
categories_path 	GET 	/categories(.:format) 	dradis/frontend/categories#index
	POST 	/categories(.:format) 	dradis/frontend/categories#create
new_category_path 	GET 	/categories/new(.:format) 	dradis/frontend/categories#new
edit_category_path 	GET 	/categories/:id/edit(.:format) 	dradis/frontend/categories#edit
category_path 	GET 	/categories/:id(.:format) 	dradis/frontend/categories#show
	PATCH 	/categories/:id(.:format) 	dradis/frontend/categories#update
	PUT 	/categories/:id(.:format) 	dradis/frontend/categories#update
	DELETE 	/categories/:id(.:format) 	dradis/frontend/categories#destroy
issues_path 	GET 	/issues(.:format) 	dradis/frontend/issues#index
	POST 	/issues(.:format) 	dradis/frontend/issues#create
new_issue_path 	GET 	/issues/new(.:format) 	dradis/frontend/issues#new
edit_issue_path 	GET 	/issues/:id/edit(.:format) 	dradis/frontend/issues#edit
issue_path 	GET 	/issues/:id(.:format) 	dradis/frontend/issues#show
	PATCH 	/issues/:id(.:format) 	dradis/frontend/issues#update
	PUT 	/issues/:id(.:format) 	dradis/frontend/issues#update
	DELETE 	/issues/:id(.:format) 	dradis/frontend/issues#destroy
tree_node_path 	GET 	/nodes/:id/tree(.:format) 	dradis/frontend/nodes#tree
node_evidence_index_path 	GET 	/nodes/:node_id/evidence(.:format) 	dradis/frontend/evidence#index
	POST 	/nodes/:node_id/evidence(.:format) 	dradis/frontend/evidence#create
new_node_evidence_path 	GET 	/nodes/:node_id/evidence/new(.:format) 	dradis/frontend/evidence#new
edit_node_evidence_path 	GET 	/nodes/:node_id/evidence/:id/edit(.:format) 	dradis/frontend/evidence#edit
node_evidence_path 	GET 	/nodes/:node_id/evidence/:id(.:format) 	dradis/frontend/evidence#show
	PATCH 	/nodes/:node_id/evidence/:id(.:format) 	dradis/frontend/evidence#update
	PUT 	/nodes/:node_id/evidence/:id(.:format) 	dradis/frontend/evidence#update
	DELETE 	/nodes/:node_id/evidence/:id(.:format) 	dradis/frontend/evidence#destroy
node_notes_path 	GET 	/nodes/:node_id/notes(.:format) 	dradis/frontend/notes#index
	POST 	/nodes/:node_id/notes(.:format) 	dradis/frontend/notes#create
new_node_note_path 	GET 	/nodes/:node_id/notes/new(.:format) 	dradis/frontend/notes#new
edit_node_note_path 	GET 	/nodes/:node_id/notes/:id/edit(.:format) 	dradis/frontend/notes#edit
node_note_path 	GET 	/nodes/:node_id/notes/:id(.:format) 	dradis/frontend/notes#show
	PATCH 	/nodes/:node_id/notes/:id(.:format) 	dradis/frontend/notes#update
	PUT 	/nodes/:node_id/notes/:id(.:format) 	dradis/frontend/notes#update
	DELETE 	/nodes/:node_id/notes/:id(.:format) 	dradis/frontend/notes#destroy
node_attachments_path 	GET 	/nodes/:node_id/attachments(.:format) 	dradis/frontend/attachments#index {:node_id=>/.*/}
	POST 	/nodes/:node_id/attachments(.:format) 	dradis/frontend/attachments#create {:node_id=>/.*/}
new_node_attachment_path 	GET 	/nodes/:node_id/attachments/new(.:format) 	dradis/frontend/attachments#new {:node_id=>/.*/}
edit_node_attachment_path 	GET 	/nodes/:node_id/attachments/:id/edit(.:format) 	dradis/frontend/attachments#edit {:id=>/.*/, :node_id=>/.*/}
node_attachment_path 	GET 	/nodes/:node_id/attachments/:id(.:format) 	dradis/frontend/attachments#show {:id=>/.*/, :node_id=>/.*/}
	PATCH 	/nodes/:node_id/attachments/:id(.:format) 	dradis/frontend/attachments#update {:id=>/.*/, :node_id=>/.*/}
	PUT 	/nodes/:node_id/attachments/:id(.:format) 	dradis/frontend/attachments#update {:id=>/.*/, :node_id=>/.*/}
	DELETE 	/nodes/:node_id/attachments/:id(.:format) 	dradis/frontend/attachments#destroy {:id=>/.*/, :node_id=>/.*/}
nodes_path 	GET 	/nodes(.:format) 	dradis/frontend/nodes#index
	POST 	/nodes(.:format) 	dradis/frontend/nodes#create
new_node_path 	GET 	/nodes/new(.:format) 	dradis/frontend/nodes#new
edit_node_path 	GET 	/nodes/:id/edit(.:format) 	dradis/frontend/nodes#edit
node_path 	GET 	/nodes/:id(.:format) 	dradis/frontend/nodes#show
	PATCH 	/nodes/:id(.:format) 	dradis/frontend/nodes#update
	PUT 	/nodes/:id(.:format) 	dradis/frontend/nodes#update
	DELETE 	/nodes/:id(.:format) 	dradis/frontend/nodes#destroy
export_manager_path 	GET 	/export(.:format) 	dradis/frontend/export#index
export_path 	POST 	/export(.:format) 	dradis/frontend/export#create
upload_manager_path 	GET 	/upload(.:format) 	dradis/frontend/upload#index
upload_path 	POST 	/upload(.:format) 	dradis/frontend/upload#create
upload_parse_path 	POST 	/upload/parse(.:format) 	dradis/frontend/upload#parse
upload_status_path 	GET 	/upload/status(.:format) 	dradis/frontend/upload#status
setup_path 	GET 	/setup(.:format) 	dradis/frontend/sessions#init
	POST 	/setup(.:format) 	dradis/frontend/sessions#setup
session_path 	POST 	/session(.:format) 	dradis/frontend/sessions#create
new_session_path 	GET 	/session/new(.:format) 	dradis/frontend/sessions#new
edit_session_path 	GET 	/session/edit(.:format) 	dradis/frontend/sessions#edit
	GET 	/session(.:format) 	dradis/frontend/sessions#show
	PATCH 	/session(.:format) 	dradis/frontend/sessions#update
	PUT 	/session(.:format) 	dradis/frontend/sessions#update
	DELETE 	/session(.:format) 	dradis/frontend/sessions#destroy
login_path 	GET 	/login(.:format) 	dradis/frontend/sessions#new
logout_path 	GET 	/logout(.:format) 	dradis/frontend/sessions#destroy
info_path 	GET 	/info(.:format) 	dradis/frontend/home#info
markup_path 	GET 	/markup(.:format) 	dradis/frontend/home#markup
preview_path 	GET 	/preview(.:format) 	dradis/frontend/home#textilize {:format=>:json}
root_path 	GET 	/ 	dradis/frontend/home#index
Routes for Dradis::Plugins::HtmlExport::Engine
root_path 	GET 	/ 	dradis/plugins/html_export/base#index
config error.txt (6,020 bytes)

sbrun

2016-06-24 12:45

manager   ~0005417

the new version 3.1.0~rc2+git20160609-0kali2 includes all plugins in dradis

Issue History

Date Modified Username Field Change
2015-09-29 21:05 Owas1933 New Issue
2015-09-29 21:05 Owas1933 File Added: config error.txt
2015-11-06 23:44 bhjr Issue cloned: 0002754
2016-06-24 12:45 sbrun Note Added: 0005417
2016-06-24 12:45 sbrun Assigned To => sbrun
2016-06-24 12:45 sbrun Status new => resolved
2016-06-24 12:45 sbrun Resolution open => fixed
2016-06-24 12:45 sbrun Fixed in Version => 2016.1